JavaScript There was an unhandled error: 19.0.0 is not a valid SDK version there was an unhandled error mod central

I have a problem when i use react-native to execute the application :

I am using create-react-native-app for creating my application and i get this error after i execute npm start command and open app in expo on my smart phone.

The error :

There was an unhandled error: 19.0.0 is not a valid SDK version. Options are 18.0.0, 17.0.0, 16.0.0, 15.0.0, 14.0.0, 13.0.0, 12.0.0, 11.0.0, UNVERSIONED.

package.json :

{
  "name": "app3",
  "version": "0.0.0",
  "description": "Hello Expo!",
  "author": null,
  "private": true,
  "main": "node_modules/expo/AppEntry.js",
  "dependencies": {
    "expo": "^19.0.0",
    "react": "16.0.0-alpha.12",
    "react-native": "https://github.com/expo/react-native/archive/sdk-19.0.0.tar.gz"
  }
}
Answer:1

Use the Expo SDK instead. I switched long ago and, so far, no regrets.

You can download it from here:

https://expo.io/tools

From there you can create new projects painlessly and I've never gotten such a warning using it.

Edit:

There is little to no results to this issue, but as was stated in https://github.com/FormidableLabs/victory-native/issues/70#issuecomment-297657645

If i modify app.json and use 15.0.0 it works to run npm start. Then (and this is where it gets strange) I can kill the process, change it back to 16.0.0, and restart it - and it works. I've had these exact steps happen to me on two fresh CRNA projects.

The next option you have is to uninstall and reinstall the expo APP in your device/simulator.

Answer:2

I created a new app from scratch doing exp init my-app and I got the same error using android - ubuntu and I fixed by doing the following:

npm i -g exp

That's all, I had an older version of expo already installed, be sure you have the last one.

If you are not in a real device ( an emulator ) be sure you have the last version.

Start the app using the expo tools doing exp start

Answer:3

Getting the same error on android - emulator - expo SDK 24 and fixed it by manually uninstalling Expo from the emulator and then restarting the app.

More info: https://github.com/expo/expo/issues/568

Answer:4

I simply updated my expo in the application store and that worked for me !

Answer:5

Download the latest expo APK for Android emulator from link https://apkpure.com/expo/host.exp.exponent and install it. This will make the app work for me.

Answer:6

I am using ^-\d*\.?\d+$ for negative number matching. But this accepts -0. I want to restrict the regexp from matching -0. Can some one help? Thanks in advance.

I am using ^-\d*\.?\d+$ for negative number matching. But this accepts -0. I want to restrict the regexp from matching -0. Can some one help? Thanks in advance.

  1. regex negative zero
  2. regex zero-width negative lookahead
  3. java regex zero-width negative lookahead

I'm using Ionic 3. I used ion-datetime component: myDate: String = new Date().toISOString(); <ion-datetime displayFormat="HH:mm" pickerFormat="HH:mm" [(ngModel)]="myDate"></ion-datetime> ...

I'm using Ionic 3. I used ion-datetime component: myDate: String = new Date().toISOString(); <ion-datetime displayFormat="HH:mm" pickerFormat="HH:mm" [(ngModel)]="myDate"></ion-datetime> ...

  1. ionic datetime default value
  2. ionic datetime set default value
  3. ionic ion-datetime default value
  4. ionic 3 datetime default value
  5. ionic 2 ion-datetime default value

I have this html code i want to make the color divs draggable and then fit them in the table cell aside the green div should fit 2 cell spaces, the light blue 3 cell spaces, the yellow 4 cell spaces ...

I have this html code i want to make the color divs draggable and then fit them in the table cell aside the green div should fit 2 cell spaces, the light blue 3 cell spaces, the yellow 4 cell spaces ...

public onChange(event: Event) { let files = event.target['files']; let list: string[]; console.log(files); for (var i = 0; i < files.length; i++) { if (FileReader && ...

public onChange(event: Event) { let files = event.target['files']; let list: string[]; console.log(files); for (var i = 0; i < files.length; i++) { if (FileReader && ...

  1. undefined array value javascript
  2. undefined array size java
  3. undefined array size
  4. undefined array size c
  5. undefined array c++
  6. undefined array typescript
  7. undefined array python
  8. undefined array angular
  9. undefined array java
  10. undefined array php
  11. undefined array js
  12. undefined array length javascript
  13. undefined array element javascript
  14. undefined array vba
  15. undefined array length java
  16. undefined array length c
  17. undefined array size vba
  18. undefined array element
  19. undefined array in perl
  20. undefined array angular2